gemini-2.5-flash-tts API on AvalAI
gemini-2.5-flash-ttsgemini-2.5-flash-tts is an AI model from Google that is available through AvalAI's OpenAI-compatible API.
Use gemini-2.5-flash-tts with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "gemini-2.5-flash-tts", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="gemini-2.5-flash-tts",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "gemini-2.5-flash-tts",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- Audio output
- Function calling
- Parallel function calling
- Structured output
- System messages
- Tool choice
- Vision
- Web search
Endpoints
/v1/chat/completions/v1/completions/v1/text:synthesize
gemini-2.5-flash-tts rate limits
| Tier | RPM | TPM |
|---|---|---|
| Basic | 1 | 40,000 |
| Tier 1 | 25 | 1,000,000 |
| Tier 2 | 250 | 2,000,000 |
| Tier 3 | 500 | 3,000,000 |
| Tier 4 | 750 | 5,000,000 |
| Tier 5 | 1,000 | 10,000,000 |
Related models
- gemini-2.5-flash-preview-tts
- Gemini 2.5 Flash Lite
- Nano Banana (Gemini 2.5 Flash Image)
- Gemini 2.5 Flash
Frequently asked questions
What is the gemini-2.5-flash-tts API on AvalAI?
Create an AvalAI API key and send the model ID gemini-2.5-flash-tts to one of the supported endpoints shown on this page.
How much does the gemini-2.5-flash-tts API cost on AvalAI?
The gemini-2.5-flash-tts API on AvalAI costs $0.15 per 1M input tokens and $0.60 per 1M output tokens.
What is the token cost for gemini-2.5-flash-tts?
Current AvalAI pricing for gemini-2.5-flash-tts is $0.15 / 1M tokens for input and $0.60 / 1M tokens for output.
What is the gemini-2.5-flash-tts context window?
The recorded maximum input context for gemini-2.5-flash-tts is 1,048,576 tokens.
What are the rate limits for gemini-2.5-flash-tts on AvalAI?
On tier 5, gemini-2.5-flash-tts on AvalAI supports up to 1,000 requests per minute and 10,000,000 tokens per minute.
What features does gemini-2.5-flash-tts support on AvalAI?
gemini-2.5-flash-tts on AvalAI supports Audio output, Function calling, Parallel function calling, Structured output, System messages, Tool choice, Vision, Web search.
What account tier is required to use gemini-2.5-flash-tts on AvalAI?
Calling gemini-2.5-flash-tts on AvalAI requires the Basic tier (tier 0) or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)